This is going a little out of topic of this forum but this for your
information so we can get this case closed.

It seems that Pacemaker PyXML and RHEL 5.x python/xml packages do not
like each other, possibly a bug in the pacemaker PyXML package. I could
notice some breaking in python XML routines in other programs aswell
(yum for example) which got fixed the moment i uninstalled PyXML.

So I advice not to use Pacemaker with RHEL. RH Cluster suite seems to
work ok.


Pekka

On 05/04/2011 03:50 PM, Pekka Kuronen wrote:
> This is my second try at having Pacemaker do a high availability LDAP
> service with edirectory. On both occasions the pacemaker "crm" tool has
> stopped working after edirecory 8.8.6 + IDM 3.6.1 / 4.0.1 installation.
> Does anyone have any knowledge that might help in this?
>
> My system is RHEL server 5.6 x86_64 and using packages:
> - pacemaker-1.0.11-1.2.el5
> - heartbeat-3.0.3-2.3.el5
> - corosync-1.2.7-1.1.el5
>
> The problem is visible when issuing a configure command with crm:
>
> # crm configure
> Traceback (most recent call last):
> File "/usr/sbin/crm", line 41, in ?
> crm.main.run()
> File "/usr/lib64/python2.4/site-packages/crm/main.py", line 243, in run
> parse_line(levels,["configure"])
> File "/usr/lib64/python2.4/site-packages/crm/main.py", line 123, in
> parse_line
> lvl.new_level(pt[token],token)
> File "/usr/lib64/python2.4/site-packages/crm/levels.py", line 73, in
> new_level
> self.current_level = level_obj()
> File "/usr/lib64/python2.4/site-packages/crm/ui.py", line 1293, in
> __init__
> cib_factory.initialize()
> File "/usr/lib64/python2.4/site-packages/crm/cibconfig.py", line 1726,
> in initialize
> if not self.import_cib():
> File "/usr/lib64/python2.4/site-packages/crm/cibconfig.py", line 1401,
> in import_cib
> self.doc,cib = read_cib(cibdump2doc)
> File "/usr/lib64/python2.4/site-packages/crm/xmlutil.py", line 72, in
> read_cib
> doc = fun(params)
> File "/usr/lib64/python2.4/site-packages/crm/xmlutil.py", line 53, in
> cibdump2doc
> doc = xmlparse(p.stdout)
> File "/usr/lib64/python2.4/site-packages/crm/xmlutil.py", line 30, in
> xmlparse
> except xml.parsers.expat.ExpatError,msg:
> AttributeError: 'module' object has no attribute 'expat'
>
>
> Any information appreciated.
>
> Pekka